Subject: Re: pkg/33710: pango conflicts with freetype-lib
To: None <,,>
From: Jeremy C. Reed <>
List: pkgsrc-bugs
Date: 06/13/2006 06:10:04
The following reply was made to PR pkg/33710; it has been noted by GNATS.

From: "Jeremy C. Reed" <>
Subject: Re: pkg/33710: pango conflicts with freetype-lib
Date: Mon, 12 Jun 2006 22:55:38 -0700 (PDT)

 > I found that having the freetype-lib package installed (version 1.3.1nb3,
 > but probably any freetype1) causes pango, and also eterm, to fail to build.
 > In pango's case it fails when compiling ottest.c with a 'parse error before
 > "FT_UShort"'; with eterm, the build cannot find libttf.
 > >How-To-Repeat:
 > Install graphics/freetype-lib. Then try to build pango or eterm.
 I could not reproduce this.
 I installed graphics/freetype-lib.
 And then I successfully built and installed devel/pango and x11/eterm.
 Are you using pkgsrc stable branch or normal (-current or HEAD of) pkgsrc?
 Have you updated it recently?
 Did you do a "make clean" and "make clean-depends" in each of these 
 After updating pkgsrc and cleaning up your work directories, please let us 
 know how it works.
 If you still reproduce the problem, please show step-by-step on how you 
 can do it.
  Jeremy C. Reed
 echo '9,J8HD,fDGG8B@?:536FC5=8@I;C5?@H5B0D@5GBIELD54DL>@8L?:5GDEJ8LDG1' |\
 sed ss,s50EBsg | tr 0-M 'p.wBt SgiIlxmLhan:o,erDsduv/cyP'